IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network152.2.112.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
- Network address
152.2.112.0- Broadcast address
152.2.127.255- First usable
152.2.112.1- Last usable
152.2.127.254- Usable hosts
- 4,094 (4,096 less the network and broadcast addresses)
- Subnet mask
255.255.240.0- Wildcard mask
0.0.15.255(Cisco ACLs, OSPF)- Prefix length
- /20
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
98027000· Integer2550296576to2550300671 - Reverse DNS zones
112.2.152.in-addr.arpa113.2.152.in-addr.arpa114.2.152.in-addr.arpa115.2.152.in-addr.arpa116.2.152.in-addr.arpa117.2.152.in-addr.arpa118.2.152.in-addr.arpa119.2.152.in-addr.arpa120.2.152.in-addr.arpa121.2.152.in-addr.arpa122.2.152.in-addr.arpa123.2.152.in-addr.arpa124.2.152.in-addr.arpa125.2.152.in-addr.arpa126.2.152.in-addr.arpa127.2.152.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10011000.00000010.01110000.00000000 | 152.2.112.0 |
| Subnet mask | 11111111.11111111.11110000.00000000 | 255.255.240.0 |
| Network | 10011000.00000010.01110000.00000000 | 152.2.112.0 |
| Broadcast | 10011000.00000010.01111111.11111111 | 152.2.127.255 |
Split into smaller subnets
/21 (2)/22 (4)/23 (8)/24 (16)/25 (32)/26 (64)/27 (128)/28 (256)/29 (512)/30 (1,024)/31 (2,048)/32 (4,096)
152.2.112.0/20 makes 4,096 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 152.2.112.0/32 | 152.2.112.0 to 152.2.112.0 | — | 1 |
| 2 | 152.2.112.1/32 | 152.2.112.1 to 152.2.112.1 | — | 1 |
| 3 | 152.2.112.2/32 | 152.2.112.2 to 152.2.112.2 | — | 1 |
| 4 | 152.2.112.3/32 | 152.2.112.3 to 152.2.112.3 | — | 1 |
| 5 | 152.2.112.4/32 | 152.2.112.4 to 152.2.112.4 | — | 1 |
| 6 | 152.2.112.5/32 | 152.2.112.5 to 152.2.112.5 | — | 1 |
| 7 | 152.2.112.6/32 | 152.2.112.6 to 152.2.112.6 | — | 1 |
| 8 | 152.2.112.7/32 | 152.2.112.7 to 152.2.112.7 | — | 1 |
| 9 | 152.2.112.8/32 | 152.2.112.8 to 152.2.112.8 | — | 1 |
| 10 | 152.2.112.9/32 | 152.2.112.9 to 152.2.112.9 | — | 1 |
| 11 | 152.2.112.10/32 | 152.2.112.10 to 152.2.112.10 | — | 1 |
| 12 | 152.2.112.11/32 | 152.2.112.11 to 152.2.112.11 | — | 1 |
| 13 | 152.2.112.12/32 | 152.2.112.12 to 152.2.112.12 | — | 1 |
| 14 | 152.2.112.13/32 | 152.2.112.13 to 152.2.112.13 | — | 1 |
| 15 | 152.2.112.14/32 | 152.2.112.14 to 152.2.112.14 | — | 1 |
| 16 | 152.2.112.15/32 | 152.2.112.15 to 152.2.112.15 | — | 1 |
| 17 | 152.2.112.16/32 | 152.2.112.16 to 152.2.112.16 | — | 1 |
| 18 | 152.2.112.17/32 | 152.2.112.17 to 152.2.112.17 | — | 1 |
| 19 | 152.2.112.18/32 | 152.2.112.18 to 152.2.112.18 | — | 1 |
| 20 | 152.2.112.19/32 | 152.2.112.19 to 152.2.112.19 | — | 1 |
| 21 | 152.2.112.20/32 | 152.2.112.20 to 152.2.112.20 | — | 1 |
| 22 | 152.2.112.21/32 | 152.2.112.21 to 152.2.112.21 | — | 1 |
| 23 | 152.2.112.22/32 | 152.2.112.22 to 152.2.112.22 | — | 1 |
| 24 | 152.2.112.23/32 | 152.2.112.23 to 152.2.112.23 | — | 1 |
| 25 | 152.2.112.24/32 | 152.2.112.24 to 152.2.112.24 | — | 1 |
| 26 | 152.2.112.25/32 | 152.2.112.25 to 152.2.112.25 | — | 1 |
| 27 | 152.2.112.26/32 | 152.2.112.26 to 152.2.112.26 | — | 1 |
| 28 | 152.2.112.27/32 | 152.2.112.27 to 152.2.112.27 | — | 1 |
| 29 | 152.2.112.28/32 | 152.2.112.28 to 152.2.112.28 | — | 1 |
| 30 | 152.2.112.29/32 | 152.2.112.29 to 152.2.112.29 | — | 1 |
| 31 | 152.2.112.30/32 | 152.2.112.30 to 152.2.112.30 | — | 1 |
| 32 | 152.2.112.31/32 | 152.2.112.31 to 152.2.112.31 | — | 1 |
| 33 | 152.2.112.32/32 | 152.2.112.32 to 152.2.112.32 | — | 1 |
| 34 | 152.2.112.33/32 | 152.2.112.33 to 152.2.112.33 | — | 1 |
| 35 | 152.2.112.34/32 | 152.2.112.34 to 152.2.112.34 | — | 1 |
| 36 | 152.2.112.35/32 | 152.2.112.35 to 152.2.112.35 | — | 1 |
| 37 | 152.2.112.36/32 | 152.2.112.36 to 152.2.112.36 | — | 1 |
| 38 | 152.2.112.37/32 | 152.2.112.37 to 152.2.112.37 | — | 1 |
| 39 | 152.2.112.38/32 | 152.2.112.38 to 152.2.112.38 | — | 1 |
| 40 | 152.2.112.39/32 | 152.2.112.39 to 152.2.112.39 | — | 1 |
| 41 | 152.2.112.40/32 | 152.2.112.40 to 152.2.112.40 | — | 1 |
| 42 | 152.2.112.41/32 | 152.2.112.41 to 152.2.112.41 | — | 1 |
| 43 | 152.2.112.42/32 | 152.2.112.42 to 152.2.112.42 | — | 1 |
| 44 | 152.2.112.43/32 | 152.2.112.43 to 152.2.112.43 | — | 1 |
| 45 | 152.2.112.44/32 | 152.2.112.44 to 152.2.112.44 | — | 1 |
| 46 | 152.2.112.45/32 | 152.2.112.45 to 152.2.112.45 | — | 1 |
| 47 | 152.2.112.46/32 | 152.2.112.46 to 152.2.112.46 | — | 1 |
| 48 | 152.2.112.47/32 | 152.2.112.47 to 152.2.112.47 | — | 1 |
| 49 | 152.2.112.48/32 | 152.2.112.48 to 152.2.112.48 | — | 1 |
| 50 | 152.2.112.49/32 | 152.2.112.49 to 152.2.112.49 | — | 1 |
| 51 | 152.2.112.50/32 | 152.2.112.50 to 152.2.112.50 | — | 1 |
| 52 | 152.2.112.51/32 | 152.2.112.51 to 152.2.112.51 | — | 1 |
| 53 | 152.2.112.52/32 | 152.2.112.52 to 152.2.112.52 | — | 1 |
| 54 | 152.2.112.53/32 | 152.2.112.53 to 152.2.112.53 | — | 1 |
| 55 | 152.2.112.54/32 | 152.2.112.54 to 152.2.112.54 | — | 1 |
| 56 | 152.2.112.55/32 | 152.2.112.55 to 152.2.112.55 | — | 1 |
| 57 | 152.2.112.56/32 | 152.2.112.56 to 152.2.112.56 | — | 1 |
| 58 | 152.2.112.57/32 | 152.2.112.57 to 152.2.112.57 | — | 1 |
| 59 | 152.2.112.58/32 | 152.2.112.58 to 152.2.112.58 | — | 1 |
| 60 | 152.2.112.59/32 | 152.2.112.59 to 152.2.112.59 | — | 1 |
| 61 | 152.2.112.60/32 | 152.2.112.60 to 152.2.112.60 | — | 1 |
| 62 | 152.2.112.61/32 | 152.2.112.61 to 152.2.112.61 | — | 1 |
| 63 | 152.2.112.62/32 | 152.2.112.62 to 152.2.112.62 | — | 1 |
| 64 | 152.2.112.63/32 | 152.2.112.63 to 152.2.112.63 | — | 1 |
| 65 | 152.2.112.64/32 | 152.2.112.64 to 152.2.112.64 | — | 1 |
| 66 | 152.2.112.65/32 | 152.2.112.65 to 152.2.112.65 | — | 1 |
| 67 | 152.2.112.66/32 | 152.2.112.66 to 152.2.112.66 | — | 1 |
| 68 | 152.2.112.67/32 | 152.2.112.67 to 152.2.112.67 | — | 1 |
| 69 | 152.2.112.68/32 | 152.2.112.68 to 152.2.112.68 | — | 1 |
| 70 | 152.2.112.69/32 | 152.2.112.69 to 152.2.112.69 | — | 1 |
| 71 | 152.2.112.70/32 | 152.2.112.70 to 152.2.112.70 | — | 1 |
| 72 | 152.2.112.71/32 | 152.2.112.71 to 152.2.112.71 | — | 1 |
| 73 | 152.2.112.72/32 | 152.2.112.72 to 152.2.112.72 | — | 1 |
| 74 | 152.2.112.73/32 | 152.2.112.73 to 152.2.112.73 | — | 1 |
| 75 | 152.2.112.74/32 | 152.2.112.74 to 152.2.112.74 | — | 1 |
| 76 | 152.2.112.75/32 | 152.2.112.75 to 152.2.112.75 | — | 1 |
| 77 | 152.2.112.76/32 | 152.2.112.76 to 152.2.112.76 | — | 1 |
| 78 | 152.2.112.77/32 | 152.2.112.77 to 152.2.112.77 | — | 1 |
| 79 | 152.2.112.78/32 | 152.2.112.78 to 152.2.112.78 | — | 1 |
| 80 | 152.2.112.79/32 | 152.2.112.79 to 152.2.112.79 | — | 1 |
| 81 | 152.2.112.80/32 | 152.2.112.80 to 152.2.112.80 | — | 1 |
| 82 | 152.2.112.81/32 | 152.2.112.81 to 152.2.112.81 | — | 1 |
| 83 | 152.2.112.82/32 | 152.2.112.82 to 152.2.112.82 | — | 1 |
| 84 | 152.2.112.83/32 | 152.2.112.83 to 152.2.112.83 | — | 1 |
| 85 | 152.2.112.84/32 | 152.2.112.84 to 152.2.112.84 | — | 1 |
| 86 | 152.2.112.85/32 | 152.2.112.85 to 152.2.112.85 | — | 1 |
| 87 | 152.2.112.86/32 | 152.2.112.86 to 152.2.112.86 | — | 1 |
| 88 | 152.2.112.87/32 | 152.2.112.87 to 152.2.112.87 | — | 1 |
| 89 | 152.2.112.88/32 | 152.2.112.88 to 152.2.112.88 | — | 1 |
| 90 | 152.2.112.89/32 | 152.2.112.89 to 152.2.112.89 | — | 1 |
| 91 | 152.2.112.90/32 | 152.2.112.90 to 152.2.112.90 | — | 1 |
| 92 | 152.2.112.91/32 | 152.2.112.91 to 152.2.112.91 | — | 1 |
| 93 | 152.2.112.92/32 | 152.2.112.92 to 152.2.112.92 | — | 1 |
| 94 | 152.2.112.93/32 | 152.2.112.93 to 152.2.112.93 | — | 1 |
| 95 | 152.2.112.94/32 | 152.2.112.94 to 152.2.112.94 | — | 1 |
| 96 | 152.2.112.95/32 | 152.2.112.95 to 152.2.112.95 | — | 1 |
| 97 | 152.2.112.96/32 | 152.2.112.96 to 152.2.112.96 | — | 1 |
| 98 | 152.2.112.97/32 | 152.2.112.97 to 152.2.112.97 | — | 1 |
| 99 | 152.2.112.98/32 | 152.2.112.98 to 152.2.112.98 | — | 1 |
| 100 | 152.2.112.99/32 | 152.2.112.99 to 152.2.112.99 | — | 1 |
| 101 | 152.2.112.100/32 | 152.2.112.100 to 152.2.112.100 | — | 1 |
| 102 | 152.2.112.101/32 | 152.2.112.101 to 152.2.112.101 | — | 1 |
| 103 | 152.2.112.102/32 | 152.2.112.102 to 152.2.112.102 | — | 1 |
| 104 | 152.2.112.103/32 | 152.2.112.103 to 152.2.112.103 | — | 1 |
| 105 | 152.2.112.104/32 | 152.2.112.104 to 152.2.112.104 | — | 1 |
| 106 | 152.2.112.105/32 | 152.2.112.105 to 152.2.112.105 | — | 1 |
| 107 | 152.2.112.106/32 | 152.2.112.106 to 152.2.112.106 | — | 1 |
| 108 | 152.2.112.107/32 | 152.2.112.107 to 152.2.112.107 | — | 1 |
| 109 | 152.2.112.108/32 | 152.2.112.108 to 152.2.112.108 | — | 1 |
| 110 | 152.2.112.109/32 | 152.2.112.109 to 152.2.112.109 | — | 1 |
| 111 | 152.2.112.110/32 | 152.2.112.110 to 152.2.112.110 | — | 1 |
| 112 | 152.2.112.111/32 | 152.2.112.111 to 152.2.112.111 | — | 1 |
| 113 | 152.2.112.112/32 | 152.2.112.112 to 152.2.112.112 | — | 1 |
| 114 | 152.2.112.113/32 | 152.2.112.113 to 152.2.112.113 | — | 1 |
| 115 | 152.2.112.114/32 | 152.2.112.114 to 152.2.112.114 | — | 1 |
| 116 | 152.2.112.115/32 | 152.2.112.115 to 152.2.112.115 | — | 1 |
| 117 | 152.2.112.116/32 | 152.2.112.116 to 152.2.112.116 | — | 1 |
| 118 | 152.2.112.117/32 | 152.2.112.117 to 152.2.112.117 | — | 1 |
| 119 | 152.2.112.118/32 | 152.2.112.118 to 152.2.112.118 | — | 1 |
| 120 | 152.2.112.119/32 | 152.2.112.119 to 152.2.112.119 | — | 1 |
| 121 | 152.2.112.120/32 | 152.2.112.120 to 152.2.112.120 | — | 1 |
| 122 | 152.2.112.121/32 | 152.2.112.121 to 152.2.112.121 | — | 1 |
| 123 | 152.2.112.122/32 | 152.2.112.122 to 152.2.112.122 | — | 1 |
| 124 | 152.2.112.123/32 | 152.2.112.123 to 152.2.112.123 | — | 1 |
| 125 | 152.2.112.124/32 | 152.2.112.124 to 152.2.112.124 | — | 1 |
| 126 | 152.2.112.125/32 | 152.2.112.125 to 152.2.112.125 | — | 1 |
| 127 | 152.2.112.126/32 | 152.2.112.126 to 152.2.112.126 | — | 1 |
| 128 | 152.2.112.127/32 | 152.2.112.127 to 152.2.112.127 | — | 1 |
| 129 | 152.2.112.128/32 | 152.2.112.128 to 152.2.112.128 | — | 1 |
| 130 | 152.2.112.129/32 | 152.2.112.129 to 152.2.112.129 | — | 1 |
| 131 | 152.2.112.130/32 | 152.2.112.130 to 152.2.112.130 | — | 1 |
| 132 | 152.2.112.131/32 | 152.2.112.131 to 152.2.112.131 | — | 1 |
| 133 | 152.2.112.132/32 | 152.2.112.132 to 152.2.112.132 | — | 1 |
| 134 | 152.2.112.133/32 | 152.2.112.133 to 152.2.112.133 | — | 1 |
| 135 | 152.2.112.134/32 | 152.2.112.134 to 152.2.112.134 | — | 1 |
| 136 | 152.2.112.135/32 | 152.2.112.135 to 152.2.112.135 | — | 1 |
| 137 | 152.2.112.136/32 | 152.2.112.136 to 152.2.112.136 | — | 1 |
| 138 | 152.2.112.137/32 | 152.2.112.137 to 152.2.112.137 | — | 1 |
| 139 | 152.2.112.138/32 | 152.2.112.138 to 152.2.112.138 | — | 1 |
| 140 | 152.2.112.139/32 | 152.2.112.139 to 152.2.112.139 | — | 1 |
| 141 | 152.2.112.140/32 | 152.2.112.140 to 152.2.112.140 | — | 1 |
| 142 | 152.2.112.141/32 | 152.2.112.141 to 152.2.112.141 | — | 1 |
| 143 | 152.2.112.142/32 | 152.2.112.142 to 152.2.112.142 | — | 1 |
| 144 | 152.2.112.143/32 | 152.2.112.143 to 152.2.112.143 | — | 1 |
| 145 | 152.2.112.144/32 | 152.2.112.144 to 152.2.112.144 | — | 1 |
| 146 | 152.2.112.145/32 | 152.2.112.145 to 152.2.112.145 | — | 1 |
| 147 | 152.2.112.146/32 | 152.2.112.146 to 152.2.112.146 | — | 1 |
| 148 | 152.2.112.147/32 | 152.2.112.147 to 152.2.112.147 | — | 1 |
| 149 | 152.2.112.148/32 | 152.2.112.148 to 152.2.112.148 | — | 1 |
| 150 | 152.2.112.149/32 | 152.2.112.149 to 152.2.112.149 | — | 1 |
| 151 | 152.2.112.150/32 | 152.2.112.150 to 152.2.112.150 | — | 1 |
| 152 | 152.2.112.151/32 | 152.2.112.151 to 152.2.112.151 | — | 1 |
| 153 | 152.2.112.152/32 | 152.2.112.152 to 152.2.112.152 | — | 1 |
| 154 | 152.2.112.153/32 | 152.2.112.153 to 152.2.112.153 | — | 1 |
| 155 | 152.2.112.154/32 | 152.2.112.154 to 152.2.112.154 | — | 1 |
| 156 | 152.2.112.155/32 | 152.2.112.155 to 152.2.112.155 | — | 1 |
| 157 | 152.2.112.156/32 | 152.2.112.156 to 152.2.112.156 | — | 1 |
| 158 | 152.2.112.157/32 | 152.2.112.157 to 152.2.112.157 | — | 1 |
| 159 | 152.2.112.158/32 | 152.2.112.158 to 152.2.112.158 | — | 1 |
| 160 | 152.2.112.159/32 | 152.2.112.159 to 152.2.112.159 | — | 1 |
| 161 | 152.2.112.160/32 | 152.2.112.160 to 152.2.112.160 | — | 1 |
| 162 | 152.2.112.161/32 | 152.2.112.161 to 152.2.112.161 | — | 1 |
| 163 | 152.2.112.162/32 | 152.2.112.162 to 152.2.112.162 | — | 1 |
| 164 | 152.2.112.163/32 | 152.2.112.163 to 152.2.112.163 | — | 1 |
| 165 | 152.2.112.164/32 | 152.2.112.164 to 152.2.112.164 | — | 1 |
| 166 | 152.2.112.165/32 | 152.2.112.165 to 152.2.112.165 | — | 1 |
| 167 | 152.2.112.166/32 | 152.2.112.166 to 152.2.112.166 | — | 1 |
| 168 | 152.2.112.167/32 | 152.2.112.167 to 152.2.112.167 | — | 1 |
| 169 | 152.2.112.168/32 | 152.2.112.168 to 152.2.112.168 | — | 1 |
| 170 | 152.2.112.169/32 | 152.2.112.169 to 152.2.112.169 | — | 1 |
| 171 | 152.2.112.170/32 | 152.2.112.170 to 152.2.112.170 | — | 1 |
| 172 | 152.2.112.171/32 | 152.2.112.171 to 152.2.112.171 | — | 1 |
| 173 | 152.2.112.172/32 | 152.2.112.172 to 152.2.112.172 | — | 1 |
| 174 | 152.2.112.173/32 | 152.2.112.173 to 152.2.112.173 | — | 1 |
| 175 | 152.2.112.174/32 | 152.2.112.174 to 152.2.112.174 | — | 1 |
| 176 | 152.2.112.175/32 | 152.2.112.175 to 152.2.112.175 | — | 1 |
| 177 | 152.2.112.176/32 | 152.2.112.176 to 152.2.112.176 | — | 1 |
| 178 | 152.2.112.177/32 | 152.2.112.177 to 152.2.112.177 | — | 1 |
| 179 | 152.2.112.178/32 | 152.2.112.178 to 152.2.112.178 | — | 1 |
| 180 | 152.2.112.179/32 | 152.2.112.179 to 152.2.112.179 | — | 1 |
| 181 | 152.2.112.180/32 | 152.2.112.180 to 152.2.112.180 | — | 1 |
| 182 | 152.2.112.181/32 | 152.2.112.181 to 152.2.112.181 | — | 1 |
| 183 | 152.2.112.182/32 | 152.2.112.182 to 152.2.112.182 | — | 1 |
| 184 | 152.2.112.183/32 | 152.2.112.183 to 152.2.112.183 | — | 1 |
| 185 | 152.2.112.184/32 | 152.2.112.184 to 152.2.112.184 | — | 1 |
| 186 | 152.2.112.185/32 | 152.2.112.185 to 152.2.112.185 | — | 1 |
| 187 | 152.2.112.186/32 | 152.2.112.186 to 152.2.112.186 | — | 1 |
| 188 | 152.2.112.187/32 | 152.2.112.187 to 152.2.112.187 | — | 1 |
| 189 | 152.2.112.188/32 | 152.2.112.188 to 152.2.112.188 | — | 1 |
| 190 | 152.2.112.189/32 | 152.2.112.189 to 152.2.112.189 | — | 1 |
| 191 | 152.2.112.190/32 | 152.2.112.190 to 152.2.112.190 | — | 1 |
| 192 | 152.2.112.191/32 | 152.2.112.191 to 152.2.112.191 | — | 1 |
| 193 | 152.2.112.192/32 | 152.2.112.192 to 152.2.112.192 | — | 1 |
| 194 | 152.2.112.193/32 | 152.2.112.193 to 152.2.112.193 | — | 1 |
| 195 | 152.2.112.194/32 | 152.2.112.194 to 152.2.112.194 | — | 1 |
| 196 | 152.2.112.195/32 | 152.2.112.195 to 152.2.112.195 | — | 1 |
| 197 | 152.2.112.196/32 | 152.2.112.196 to 152.2.112.196 | — | 1 |
| 198 | 152.2.112.197/32 | 152.2.112.197 to 152.2.112.197 | — | 1 |
| 199 | 152.2.112.198/32 | 152.2.112.198 to 152.2.112.198 | — | 1 |
| 200 | 152.2.112.199/32 | 152.2.112.199 to 152.2.112.199 | — | 1 |
| 201 | 152.2.112.200/32 | 152.2.112.200 to 152.2.112.200 | — | 1 |
| 202 | 152.2.112.201/32 | 152.2.112.201 to 152.2.112.201 | — | 1 |
| 203 | 152.2.112.202/32 | 152.2.112.202 to 152.2.112.202 | — | 1 |
| 204 | 152.2.112.203/32 | 152.2.112.203 to 152.2.112.203 | — | 1 |
| 205 | 152.2.112.204/32 | 152.2.112.204 to 152.2.112.204 | — | 1 |
| 206 | 152.2.112.205/32 | 152.2.112.205 to 152.2.112.205 | — | 1 |
| 207 | 152.2.112.206/32 | 152.2.112.206 to 152.2.112.206 | — | 1 |
| 208 | 152.2.112.207/32 | 152.2.112.207 to 152.2.112.207 | — | 1 |
| 209 | 152.2.112.208/32 | 152.2.112.208 to 152.2.112.208 | — | 1 |
| 210 | 152.2.112.209/32 | 152.2.112.209 to 152.2.112.209 | — | 1 |
| 211 | 152.2.112.210/32 | 152.2.112.210 to 152.2.112.210 | — | 1 |
| 212 | 152.2.112.211/32 | 152.2.112.211 to 152.2.112.211 | — | 1 |
| 213 | 152.2.112.212/32 | 152.2.112.212 to 152.2.112.212 | — | 1 |
| 214 | 152.2.112.213/32 | 152.2.112.213 to 152.2.112.213 | — | 1 |
| 215 | 152.2.112.214/32 | 152.2.112.214 to 152.2.112.214 | — | 1 |
| 216 | 152.2.112.215/32 | 152.2.112.215 to 152.2.112.215 | — | 1 |
| 217 | 152.2.112.216/32 | 152.2.112.216 to 152.2.112.216 | — | 1 |
| 218 | 152.2.112.217/32 | 152.2.112.217 to 152.2.112.217 | — | 1 |
| 219 | 152.2.112.218/32 | 152.2.112.218 to 152.2.112.218 | — | 1 |
| 220 | 152.2.112.219/32 | 152.2.112.219 to 152.2.112.219 | — | 1 |
| 221 | 152.2.112.220/32 | 152.2.112.220 to 152.2.112.220 | — | 1 |
| 222 | 152.2.112.221/32 | 152.2.112.221 to 152.2.112.221 | — | 1 |
| 223 | 152.2.112.222/32 | 152.2.112.222 to 152.2.112.222 | — | 1 |
| 224 | 152.2.112.223/32 | 152.2.112.223 to 152.2.112.223 | — | 1 |
| 225 | 152.2.112.224/32 | 152.2.112.224 to 152.2.112.224 | — | 1 |
| 226 | 152.2.112.225/32 | 152.2.112.225 to 152.2.112.225 | — | 1 |
| 227 | 152.2.112.226/32 | 152.2.112.226 to 152.2.112.226 | — | 1 |
| 228 | 152.2.112.227/32 | 152.2.112.227 to 152.2.112.227 | — | 1 |
| 229 | 152.2.112.228/32 | 152.2.112.228 to 152.2.112.228 | — | 1 |
| 230 | 152.2.112.229/32 | 152.2.112.229 to 152.2.112.229 | — | 1 |
| 231 | 152.2.112.230/32 | 152.2.112.230 to 152.2.112.230 | — | 1 |
| 232 | 152.2.112.231/32 | 152.2.112.231 to 152.2.112.231 | — | 1 |
| 233 | 152.2.112.232/32 | 152.2.112.232 to 152.2.112.232 | — | 1 |
| 234 | 152.2.112.233/32 | 152.2.112.233 to 152.2.112.233 | — | 1 |
| 235 | 152.2.112.234/32 | 152.2.112.234 to 152.2.112.234 | — | 1 |
| 236 | 152.2.112.235/32 | 152.2.112.235 to 152.2.112.235 | — | 1 |
| 237 | 152.2.112.236/32 | 152.2.112.236 to 152.2.112.236 | — | 1 |
| 238 | 152.2.112.237/32 | 152.2.112.237 to 152.2.112.237 | — | 1 |
| 239 | 152.2.112.238/32 | 152.2.112.238 to 152.2.112.238 | — | 1 |
| 240 | 152.2.112.239/32 | 152.2.112.239 to 152.2.112.239 | — | 1 |
| 241 | 152.2.112.240/32 | 152.2.112.240 to 152.2.112.240 | — | 1 |
| 242 | 152.2.112.241/32 | 152.2.112.241 to 152.2.112.241 | — | 1 |
| 243 | 152.2.112.242/32 | 152.2.112.242 to 152.2.112.242 | — | 1 |
| 244 | 152.2.112.243/32 | 152.2.112.243 to 152.2.112.243 | — | 1 |
| 245 | 152.2.112.244/32 | 152.2.112.244 to 152.2.112.244 | — | 1 |
| 246 | 152.2.112.245/32 | 152.2.112.245 to 152.2.112.245 | — | 1 |
| 247 | 152.2.112.246/32 | 152.2.112.246 to 152.2.112.246 | — | 1 |
| 248 | 152.2.112.247/32 | 152.2.112.247 to 152.2.112.247 | — | 1 |
| 249 | 152.2.112.248/32 | 152.2.112.248 to 152.2.112.248 | — | 1 |
| 250 | 152.2.112.249/32 | 152.2.112.249 to 152.2.112.249 | — | 1 |
| 251 | 152.2.112.250/32 | 152.2.112.250 to 152.2.112.250 | — | 1 |
| 252 | 152.2.112.251/32 | 152.2.112.251 to 152.2.112.251 | — | 1 |
| 253 | 152.2.112.252/32 | 152.2.112.252 to 152.2.112.252 | — | 1 |
| 254 | 152.2.112.253/32 | 152.2.112.253 to 152.2.112.253 | — | 1 |
| 255 | 152.2.112.254/32 | 152.2.112.254 to 152.2.112.254 | — | 1 |
| 256 | 152.2.112.255/32 | 152.2.112.255 to 152.2.112.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |